Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class BindingsTk

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.BindingsTk

All Implemented Interfaces:
  EventListener, java.util.EventListener

public class BindingsTk
extends Behavior
implements EventListener

Bindings after Tk.

- text widget: press and drag with middle button scroll. (Note that scroll wheel works now.)

Pluggable events via hub document: pan-document type mouse and keyboard events. Other modules can provide Emacs, vi, Macintosh, Windows, ...

Version:
  $Revision: 1.3 $ $Date: 2002/02/01 04:51:54 $
See Also:
  `BindingsDefault`, `BindingsEmacs`

Field Summary

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`BindingsTk()`

Method Summary
`void` | `buildAfter(Document doc)` Set self as observer on docroot to catch unclaimed MOUSE_PRESSED event.
`void` | `event(java.awt.AWTEvent e)` On MOUSE_DRAGGED, scroll current Document.
`boolean` | `eventAfter(java.awt.AWTEvent e, java.awt.Point rel, Node obsn)` On button 2 down, take grab; else ignore.

Methods inherited from class multivalent.Behavior
`buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventAfter, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BindingsTk

    public BindingsTk()

Method Detail

### buildAfter

    public void buildAfter(Document doc)

  Set self as observer on docroot to catch unclaimed MOUSE_PRESSED event.

  Overrides:
    `buildAfter` in class `Behavior`

### eventAfter

    public boolean eventAfter(java.awt.AWTEvent e,
                              java.awt.Point rel,
                              Node obsn)

  On button 2 down, take grab; else ignore.

  Overrides:
    `eventAfter` in class `Behavior`

### event

    public void event(java.awt.AWTEvent e)

  On MOUSE_DRAGGED, scroll current Document.

  Specified by:
    `event` in interface `EventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD